Kan geen upgrade uitvoeren vanwege niet schrijfbaar config

Nederlandse ondersteuning voor CMS Made Simple

Moderators: velden, Rolf

Post Reply
rodeto
Power Poster
Power Poster
Posts: 407
Joined: Thu May 04, 2006 9:12 am

Kan geen upgrade uitvoeren vanwege niet schrijfbaar config

Post by rodeto »

Ik wil een aantal sites bijwerken naar de laatste versie van het CMS. Ik zat nog op 2.2.6 en wil naar 2.2.8.
Ik volg netjes de instructies zoals altijd en zet daarbij dus ook het config bestand op 777. Nu krijg ik bij stap 3 ineens de melding dat het config bestand niet schrijfbaar/wijzigbaar is en ik dat eerst aan moet passen. Maar hij staat al op 777. Dat heb ik al op een aantal verschillende manieren nagekeken voor de zekerheid.
Ik heb daarna de upgrade uitgevoerd naar versie 2.2.7 en dat was geen probleem. In een keer door en klaar. Maar ook vanuit 2.2.7 naar 2.2.8 krijg ik dezelfde rare melding weer te zien terwijl ik zeker weet dat het bedstand schrijfbaar is.

Iemand een idee?
arnoud
Power Poster
Power Poster
Posts: 1399
Joined: Sun Apr 19, 2009 9:33 am

Re: Kan geen upgrade uitvoeren vanwege niet schrijfbaar conf

Post by arnoud »

Vandaag verschillende cmsms 2.2.8 upgrades gedraaid en dit probleem niet tegen gekomen.

Code: Select all

~ chmod 777
zou prima moeten werken. Draait je webserver onder een andere gebruiker / chrooted / subshell oid?

Misschien eens kijken of je de gebruiker:groep van config.php kunt aanpassen, naar de gebruiker waaronder de webserver draait.

Code: Select all

~ chown www-data:www-data 
oid of via het control panel van je hostingpartij.
rodeto
Power Poster
Power Poster
Posts: 407
Joined: Thu May 04, 2006 9:12 am

Re: Kan geen upgrade uitvoeren vanwege niet schrijfbaar conf

Post by rodeto »

Alles staat goed ???
Ik ga nog wel even met de hoster in de slag. Het moet toch ergens aan liggen...
rodeto
Power Poster
Power Poster
Posts: 407
Joined: Thu May 04, 2006 9:12 am

Re: Kan geen upgrade uitvoeren vanwege niet schrijfbaar conf

Post by rodeto »

Niemand schijnt er achter te kunnen komen wat het probleem nu echt is. De oplossing is wel om het bestand te verwijderen en een nieuw bestand met dezelfde naam en inhoud aan te maken.
arnoud
Power Poster
Power Poster
Posts: 1399
Joined: Sun Apr 19, 2009 9:33 am

Re: Kan geen upgrade uitvoeren vanwege niet schrijfbaar conf

Post by arnoud »

Rodeto je hebt al een oplossing toch nog wat informatie....

Zojuist had ik ook een vreemde 'hickup' bij een upgrade van cmsms 2.2.7 naar 2.2.8.

Ik was vergeten om de config.php schrijfbaar te maken.

De installer gaf hier netjes melding van.

Na de rechten (~ chmod 777) goed gezet te hebben en de 'reload' button aangeklikt te hebben bleef de 'config.php niet beschrijfbaar melding in beeld'.

Na de installer opnieuw opgestart te hebben (hostname/install.php) ging het wel goed.

In het verleden was een 'reload' na het veranderen van rechten van config.php genoeg, het lijkt erop dat hier een verandering ingemaakt is. Zijn er meer mensen die hier tegen aangelopen zijn?
rodeto
Power Poster
Power Poster
Posts: 407
Joined: Thu May 04, 2006 9:12 am

Re: Kan geen upgrade uitvoeren vanwege niet schrijfbaar conf

Post by rodeto »

Ja, wat jij beschrijft ben ik inderdaad ook een paar keer tegengekomen.
Mijn probleem uit de eerste post wat trouwens wat anders want daar had ik het bestand al wel van tevoren schrijfbaar gemaakt.
Post Reply

Return to “Dutch - Nederlands”